webkit-0.12.3: Binding to the Webkit library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.WebKit.WebResource

Contents

- Description
- Types
- Constructors
- Methods

Description

Note:

Function `webkit_web_resource_get_data` haven't binding no idea how to handle `GString`.

Access to the WebKit Web Resource

Synopsis

- data WebResource
- class GObjectClass o => WebResourceClass o
- webResourceNew :: String -> Int -> String -> String -> String -> String -> IO WebResource
- webResourceGetData :: WebResourceClass self => self -> IO (Maybe String)
- webResourceGetEncoding :: WebResourceClass self => self -> IO (Maybe String)
- webResourceGetFrameName :: WebResourceClass self => self -> IO (Maybe String)
- webResourceGetMimeType :: WebResourceClass self => self -> IO (Maybe String)
- webResourceGetUri :: WebResourceClass self => self -> IO String

# Description

A web resource encapsulates the data of the download as well as the URI, MIME type and frame name of the resource.

# Types

data WebResource Source

Instances

Eq WebResource |
Ord WebResource |
GObjectClass WebResource |
WebResourceClass WebResource |

class GObjectClass o => WebResourceClass o Source

Instances

WebResourceClass WebResource |

# Constructors

webResourceNew :: String -> Int -> String -> String -> String -> String -> IO WebResource Source

Returns a new WebKitWebResource. The `encoding` can be empty. The `frameName` can be used if the resource represents contents of an entire HTML frame, otherwise pass empty.

# Methods

webResourceGetData :: WebResourceClass self => self -> IO (Maybe String)Source

Returns the data of the WebResource.

webResourceGetEncoding :: WebResourceClass self => self -> IO (Maybe String)Source

Get encoding.

webResourceGetFrameName :: WebResourceClass self => self -> IO (Maybe String)Source

Get frame name.

webResourceGetMimeType :: WebResourceClass self => self -> IO (Maybe String)Source

Get mime type.

webResourceGetUri :: WebResourceClass self => self -> IO String Source

Get uri.